<template>
    <div id="endOfGame" class="container text-center center">
        <h1>The game is over</h1>
        <table class="center text-center">
            <tr>
                <td>
                    <span class="winners">Winners</span>
                    <div v-for="winner in winners" :key="winner">
                        {{ winner }}                    
                    </div>
                </td>
                <td>
                    <FinalPoints></FinalPoints>
                </td>
            </tr>
        </table>
    </div>
</template>
<script>
    import FinalPoints from './FinalPoints.vue';
    import axios from 'axios';
    export default {
        name: 'endOfGame',
        components: {
            FinalPoints
        },
        data: function () {
            return {
                winners: [],
                gameId: this.$route.params.gameId
            }
        },
        methods: {
            retrieveWinners() {
                axios.get("https://localhost:44361/api/game/" + this.gameId + "/winners")
                    .then(response => this.winners = response.data);
            }
        },
        created: function () {
            this.retrieveWinners();
        }
    }
</script>
<style scoped>
    .center {
  margin-left: auto;
  margin-right: auto;
    }
    td {
        padding: 20px;
    }
    .winners {
        font-weight: bold;
    }
</style>